cURL
curl --request GET \ --url https://controller.platform.simplecloud.app/v0/players/sessions/current \ --header 'X-Network-ID: <x-network-id>' \ --header 'X-Network-Secret: <x-network-secret>'
{ "session": { "address_hash": "abc123hash", "client_version": 765, "duration_seconds": 7200, "id": "123e4567-e89b-12d3-a456-426614174000", "login_time": "2023-01-01T12:00:00Z", "logout_time": "2023-01-01T14:00:00Z", "network_id": "123e4567-e89b-12d3-a456-426614174000", "online_mode": true, "player_id": "069a79f4-44e9-4726-a5be-fca90e38aaf5" }, "settings": { "chat_colors": true, "chat_mode": "ENABLED", "client_listing_allowed": true, "locale": "en_US", "main_hand": "RIGHT", "skin_parts": [ "CAPE", "JACKET", "LEFT_SLEEVE" ], "view_distance": 12 } }
Get the current active session for an online player
Documentation IndexFetch the complete documentation index at: https://new-docs.simplecloud.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://new-docs.simplecloud.app/llms.txt
Use this file to discover all available pages before exploring further.
Network ID
Network Secret
Player UUID (Minecraft UUID)
OK
Current session with client settings
Player session information
Show child attributes
Player client settings
Was this page helpful?